Om sikkerhedsindholdet i Safari 12.0.2

Dette dokument indeholder en beskrivelse af sikkerhedsindholdet i Safari 12.0.2.

Om Apple-sikkerhedsopdateringer

Med henblik på beskyttelse af vores kunder videregiver, drøfter eller bekræfter Apple ikke sikkerhedsanliggender, før en undersøgelse har fundet sted, og programrettelser eller versioner er tilgængelige. De nyeste versioner kan ses på siden om Apple-sikkerhedsopdateringer.

Få flere oplysninger om sikkerhed på siden om Apple-produktsikkerhed. Du kan kryptere din kommunikation med Apple ved hjælp af PGP-nøglen til Apple-produktsikkerhed.

Apple sikkerhedsdokumenterer om muligt henvisninger til sikkerhedsproblemer med et CVE-id.

Safari 12.0.2

Udgivet 5. december 2018

Safari

Fås til: macOS Sierra 10.12.6, macOS High Sierra 10.13.6 og macOS Mojave 10.14.1

Effekt: Besøg på et skadeligt websted kan medføre manipulering med adresselinjen

Beskrivelse: Et logikproblem er løst gennem forbedret statusadministration.

CVE-2018-4440: Wenxu Wu fra Tencent Security Xuanwu Lab (xlab.tencent.com)

Safari

Fås til: macOS Sierra 10.12.6, macOS High Sierra 10.13.6 og macOS Mojave 10.14.1

Effekt: Indlæsning af et skadeligt websted kan medføre manipulering med brugergrænsefladen

Beskrivelse: Et logikproblem er løst via forbedret godkendelse.

CVE-2018-4439: xisigr fra Tencents Xuanwu Lab (tencent.com)

Safari

Fås til: macOS Sierra 10.12.6, macOS High Sierra 10.13.6 og macOS Mojave 10.14.1

Effekt: En bruger kan muligvis ikke slette browserhistorien helt

Beskrivelse: Historien blev ikke ryddet med "Ryd historie og webstedsdata". Problemet er løst ved forbedret datasletning.

CVE-2018-4445: William Breuer

WebKit

Fås til: macOS Sierra 10.12.6, macOS High Sierra 10.13.6 og macOS Mojave 10.14.1

Effekt: Behandling af webindhold med skadelig kode kan føre til kørsel af vilkårlig kode

Beskrivelse: Flere problemer med beskadiget hukommelse er løst via forbedret hukommelseshåndtering.

CVE-2018-4437: HyungSeok Han, DongHyeon Oh og Sang Kil Cha fra KAIST Softsec Lab, Korea

CVE-2018-4464: HyungSeok Han, DongHyeon Oh og Sang Kil Cha fra KAIST Softsec Lab, Korea

WebKit

Fås til: macOS Sierra 10.12.6, macOS High Sierra 10.13.6 og macOS Mojave 10.14.1

Effekt: Behandling af webindhold med skadelig kode kan føre til kørsel af vilkårlig kode

Beskrivelse: Et problem med beskadiget hukommelse er løst via forbedret hukommelseshåndtering.

CVE-2018-4441: lokihardt fra Google Project Zero

CVE-2018-4442: lokihardt fra Google Project Zero

CVE-2018-4443: lokihardt fra Google Project Zero

WebKit

Fås til: macOS Sierra 10.12.6, macOS High Sierra 10.13.6 og macOS Mojave 10.14.1

Effekt: Behandling af skadeligt webindhold kan medføre afsløring af følsomme brugeroplysninger.

Beskrivelse: Et logikproblem er løst gennem forbedret statusadministration.

CVE-2018-4444: James Lee (@Windowsrcer) fra S2SWWW.com

Post tilføjet 3. april 2019, opdateret 17. september 2019

WebKit

Fås til: macOS Sierra 10.12.6, macOS High Sierra 10.13.6 og macOS Mojave 10.14.1

Effekt: Behandling af webindhold med skadelig kode kan føre til kørsel af vilkårlig kode

Beskrivelse: Der var et logikproblem, som resulterede i beskadiget hukommelse. Det er løst ved hjælp af forbedret statusadministration.

CVE-2018-4438: lokihardt fra Google Project Zero, Qixun Zhao fra Qihoo 360 Vulcan Team

Post opdateret 22. januar 2019

Oplysninger om produkter, der ikke er fremstillet af Apple, eller selvstændige websteder, der ikke er styret eller testet af Apple, er ikke udtryk for anbefalinger eller godkendelser fra Apples side. Apple påtager sig intet ansvar med hensyn til udvalget af disse produkter, produkternes funktionsevne eller brugen af produkterne. Apple giver ingen garanti for, at indholdet på websteder, som Apple ikke står bag, er pålideligt og præcist. Det er forbundet med en naturlig risiko at bruge internettet. Kontakt producenten for at få yderligere oplysninger. Andre virksomheds- og produktnavne kan være varemærker tilhørende de respektive ejere.

Udgivelsesdato: